Page MenuHomePhabricator

Beta: A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results)
Closed, ResolvedPublic3 Story Points

Description

(Given I am in beta)
Currently, the previewed search results use title.. Ideally they would also show the wikidata description for that item. This should allow for improved search result selection and decreased need to click through to article.

Looks like:

Should be:

Thumbnails should be 70 px square.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAlpha, Beta: Show wikidata descriptions in search results

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 5:20 PM
JKatzWMF renamed this task from A user is able to see wikidata descriptions in mobile web search results to A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results).Apr 1 2015, 5:20 PM
JKatzWMF moved this task from Incoming to 2015-16 Q3 on the Readers-Web-Backlog board.
JKatzWMF set Security to None.
phuedx renamed this task from A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results) to (3) A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results).May 25 2015, 2:01 PM
KLans_WMF renamed this task from (3) A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results) to A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results).Jun 3 2015, 6:31 PM
KLans_WMF updated the task description. (Show Details)Jun 3 2015, 6:38 PM
Jdlrobson updated the task description. (Show Details)Jun 8 2015, 4:54 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a project: Notice. · View Herald TranscriptJun 11 2015, 4:06 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.
Jdlrobson renamed this task from A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results) to Beta: A user is able to see wikidata descriptions in mobile web search results (in order to learn better select from results).Jun 11 2015, 6:50 PM
bmansurov moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

Change 219065 had a related patch set uploaded (by Bmansurov):
Beta: Show wikidata descriptions in search results

https://gerrit.wikimedia.org/r/219065

@bmansurov, @JKatzWMF, what's the estimated deployment date for this?

@bmansurov, @JKatzWMF, asking with respect to Roadmap board - please drag to column as appropriate.

I‘m not sure. The patch is up for review. @JKatzWMF, how should we prioritize this?

@bmansurov is this question still open and can you briefly summarize what you mean by it? what are the specific tasks that are competing with this for attention?

@JKatzWMF, yes. Other tasks that need attention are mainly Gather tasks and I was wondering if we should get those out of the way first. If this task is not high priority, I‘d like to remove it from the code review column and have the team focus on other tasks.

I've replied to your questions, @Jdlrobson. Can you answer them?

I would appreciate more eyes on this patch other than mine :)

greg added a subscriber: greg.Jun 25 2015, 4:13 PM

ETA? it's on the Roadmap project...

@greg: There's a minor issue left to discuss in code review and then it's on to testing. We're committed to having this done by the end of Reading-Web-Sprint-50-The-X-Files (Friday, 3rd July).

greg moved this task from Unscheduled to July 6-10 on the Roadmap board.Jun 25 2015, 5:25 PM

Change 219065 merged by jenkins-bot:
Alpha, Beta: Show wikidata descriptions in search results

https://gerrit.wikimedia.org/r/219065

I can't sign this off just yet.

I've linked some random entities from http://wikidata.beta.wmflabs.org to Claude Monet and Samurai, the descriptions of which are already visible in beta mode. However, I don't see them in the search results.

On BC the API request being made isn't returning Wikidata descriptions. I've verified that the API request is correct by running the same query against enwiki.

gpaumier moved this task from Triaged to Archive on the Notice board.Jun 26 2015, 8:26 PM
phuedx closed this task as Resolved.Jun 29 2015, 11:01 AM

I updated both articles and am now seeing the descriptions showing up in search results on BC. Neato!